import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
export declare class AzureBicepResourceDatasource extends Datasource {
    static readonly id = "azure-bicep-resource";
    readonly defaultConfig: {
        commitMessageTopic: string;
        commitMessageExtra: string;
        prBodyColumns: string[];
        prBodyDefinitions: {
            Resource: string;
        };
    };
    readonly defaultVersioning = "azure-rest-api";
    constructor();
    getReleases(getReleasesConfig: GetReleasesConfig): Promise<ReleaseResult | null>;
    getResourceVersionIndex(): Promise<Record<string, string[]>>;
    private getBicepTypeIndex;
}
